# Get virtual currency package

Gets the virtual currency package within a project for administration.

NoteDo not use this endpoint for building a store catalog.

Endpoint: GET /v2/project/{project_id}/admin/items/virtual_currency/package/sku/{item_sku}
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `item_sku` (string, required)
    Item SKU.
    Example: "booster_mega_1"

## Response 200 fields (application/json):

  - `sku` (string)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.

  - `name` (object,null)
    Object with localizations for item’s name. Accepts value in one of two formats: two-letter lowercase language codes (e.g., en) or five-character language codes (e.g., en-US). While both formats are accepted as input, responses return two-letter lowercase language codes. When both options for the same language are provided (e.g., en and en-US), the last provided value is stored. You can find the full list of supported languages in the [documentation](/doc/shop-builder/references/supported-languages/).

  - `description` (object,null)
    Object with localizations for item’s description. Accepts value in one of two formats: two-letter lowercase language codes (e.g., en) or five-character locale codes (e.g., en-US).  While both formats are accepted as input, responses return two-letter lowercase language codes. When both options for the same language are provided (e.g., en and en-US), the last provided value is stored. You can find the full list of supported languages in the [documentation](/doc/shop-builder/references/supported-languages/).

  - `long_description` (object,null)
    Object with localizations for long description of item. Accepts value in one of two formats: two-letter lowercase language codes (e.g., en) or five-character locale codes (e.g., en-US).  While both formats are accepted as input, responses return two-letter lowercase language codes. When both variants for the same language are provided (e.g., en and en-US), the last provided value is stored. You can find the full list of supported languages in the [documentation](/doc/shop-builder/references/supported-languages/).

  - `type` (string)
    Type of item: virtual_good/virtual_currency/bundle/physical_good/unit.

  - `image_url` (string)
    Image URL. For the image to display correctly and load quickly on the payment UI, check our image and URL guidelines:Supported formats: WebP (recommended), PNG, JPG.File size: ≤ 50 KB (for WebP) or ≤ 150 KB (for PNG and JPG).Image size: 280 x 280 px.Color space: sRGB.Protocol: HTTPS with long-lived caching for versioned URLs.

  - `attributes` (array)
    List of attributes.
    Example: [{"external_id":"attribute_external_id","name":{"en":"Attribute name","de":"Attributname"},"values":[{"external_id":"value_1","name":{"en":"value 1","de":"wert 1"}},{"external_id":"value_2","name":{"en":"value 2","de":"wert 2"}}]}]

  - `attributes.external_id` (string, required)
    Unique attribute ID. The external_id may contain only lowercase and uppercase Latin alphanumeric characters, dashes, and underscores.
    Example: "attribute_external_id"

  - `attributes.name` (object)
    Object with localizations for attribute's name. Keys are specified in ISO 3166-1.
    Example: {"en":"Attribute name","de":"Attributname"}

  - `attributes.values` (array, required)
    Example: [{"external_id":"value_1","name":{"en":"value 1","de":"wert 1"}},{"external_id":"value_2","name":{"en":"value 2","de":"wert 2"}}]

  - `attributes.values.external_id` (string, required)
    Unique value ID for an attribute. The external_id may only contain lowercase Latin alphanumeric characters, dashes, and underscores.
    Example: "value_external_id"

  - `attributes.values.value` (object, required)
    Object with localizations of the value's name. Keys are specified in ISO 3166-1.

  - `is_free` (boolean)
    Whether the item is free.

  - `is_paid_randomized_reward` (boolean)
    Whether the item is a randomized paid reward, e.g., a loot box.

  - `order` (integer)
    Item display order in the catalog. The higher the value, the lower the item appears in the list.
If the values are the same, items are sorted by creation date, with newer items displayed higher.

  - `groups` (array)
    Groups the item belongs to.

  - `groups.external_id` (string)
    Example: "horror"

  - `groups.name` (object)
    Name of item. Should contain key/value pairs
where key is a locale with "^[a-z]{2}" format, value is string.
    Example: {"en":"Horror","de":"Horror"}

  - `prices` (array)
    Example: [{"currency":"USD","amount":10.5,"is_default":true,"is_enabled":true,"country_iso":"US"}]

  - `prices.currency` (string, required)
    Item price currency. Three-letter code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). Check the documentation for detailed information about [currencies supported by Xsolla](https://developers.xsolla.com/doc/pay-station/references/supported-currencies/).
    Example: "USD"

  - `prices.amount` (number, required)
    Item price in real currency.
    Example: 10.5

  - `prices.is_default` (boolean)
    Whether it is the default price in real currency. Refer to our [documentation](https://developers.xsolla.com/items-catalog/catalog-features/pricing-policy/#pricing_policy_country_determination) for detailed information on price settings.
    Example: true

  - `prices.is_enabled` (boolean)
    Whether this price is used for displaying in the catalog and for purchasing the item. If false, the price is not used and another price is applied. Refer to our [documentation](https://developers.xsolla.com/items-catalog/catalog-features/pricing-policy/#pricing_policy_country_determination) for detailed information on price settings.
    Example: true

  - `prices.country_iso` (string,null)
    Country where this price is available. Two-letter code per [ISO 3166-1 alpha 2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
    Example: "US"

  - `media_list` (array)
    Item's additional assets such as screenshots, gameplay video and so on.

  - `media_list.type` (string)
    Type of media: image/video.
    Enum: "image", "video"

  - `media_list.url` (string)
    Resource file.
    Example: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"

  - `vc_prices` (array)
    Example: [{"sku":"com.xsolla.gold_1","amount":10,"is_default":true}]

  - `vc_prices.sku` (string, required)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: "com.xsolla.gold_1"

  - `vc_prices.amount` (number, required)
    Amount.
    Example: 10

  - `vc_prices.is_default` (boolean)
    Example: true

  - `is_enabled` (boolean)
    Whether the item is available. If false, the item can't be purchased in the store or obtained as part of a bundle or within a marketing campaign. Refer to our [documentation](https://developers.xsolla.com/items-catalog/catalog-features/items-availability/) for detailed information about item availability.

  - `bundle_type` (string)
    Example: "virtual_currency_package"

  - `content` (array)

  - `content.sku` (string)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.

  - `content.name` (object,null)
    Object with localizations for item’s name. Accepts value in one of two formats: two-letter lowercase language codes (e.g., en) or five-character language codes (e.g., en-US). While both formats are accepted as input, responses return two-letter lowercase language codes. When both options for the same language are provided (e.g., en and en-US), the last provided value is stored. You can find the full list of supported languages in the [documentation](/doc/shop-builder/references/supported-languages/).

  - `content.description` (object,null)
    Object with localizations for item’s description. Accepts value in one of two formats: two-letter lowercase language codes (e.g., en) or five-character locale codes (e.g., en-US).  While both formats are accepted as input, responses return two-letter lowercase language codes. When both options for the same language are provided (e.g., en and en-US), the last provided value is stored. You can find the full list of supported languages in the [documentation](/doc/shop-builder/references/supported-languages/).

  - `content.image_url` (string)
    Image URL. For the image to display correctly and load quickly on the payment UI, check our image and URL guidelines:Supported formats: WebP (recommended), PNG, JPG.File size: ≤ 50 KB (for WebP) or ≤ 150 KB (for PNG and JPG).Image size: 280 x 280 px.Color space: sRGB.Protocol: HTTPS with long-lived caching for versioned URLs.

  - `content.type` (string)
    Type of item: virtual_good/virtual_currency/bundle/physical_good/unit.

  - `content.quantity` (integer)

  - `is_show_in_store` (boolean)
    Whether the item is displayed in the catalog. If false and is_enabled: true, the item is not visible in the catalog but can be obtained as part of a bundle or within marketing campaigns. Refer to our [documentation](https://developers.xsolla.com/items-catalog/catalog-features/items-availability/) for detailed information about item availability.

  - `regions` (array)
    Array of regions where the item is available. If the array is empty or not passed, the item is available in all regions.

  - `regions.id` (integer)
    Region ID within the project.

Refer to the [regional sale restriction documentation](https://developers.xsolla.com/items-catalog/catalog-features/regional-restrictions/) and [region management API calls](https://developers.xsolla.com/api/catalog/common-regions) for detailed information.
    Example: 1

  - `limits` (object,null)
    Item limits.

  - `limits.per_user` (object,null)
    Item limitation for a separate user.

  - `limits.per_user.total` (integer)
    Maximum number of items a single user can purchase.

  - `limits.per_user.limit_exceeded_visibility` (string)
    Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached,
regardless of the limit_exceeded_visibility value.

Possible values:
- show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side
catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The
next reset date is returned in reset_next_date.
- hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the
limit is reset.
    Enum: "show", "hide"

  - `limits.per_item` (object,null)
    Global item limitation.

  - `limits.per_item.total` (integer)
    Maximum number of items all users can purchase.

  - `limits.per_item.available` (integer)
    Remaining number of items all users can purchase.

  - `limits.per_item.reserved` (integer)

  - `limits.per_item.sold` (integer)

  - `limits.recurrent_schedule` (object,null)
    Limit refresh period.

  - `limits.recurrent_schedule.per_user` (any)
    User limit refresh period.

  - `periods` (array)
    Item sales period.

  - `periods.date_from` (string,null)
    Date when the specified item will be available for sale.
    Example: "2020-08-11T10:00:00+03:00"

  - `periods.date_until` (string,null)
    Date when the specified item will become unavailable for sale. Can be null.
    Example: "2020-08-11T20:00:00+03:00"

  - `custom_attributes` (object)
    A JSON object containing item attributes and values. Attributes allow you to add more info to items like the player's required level to use the item. Attributes enrich your game's internal logic and are accessible through dedicated GET methods and webhooks.

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"


